Error while using New iCC 4.0 (Linux)

Error while using New iCC 4.0 (Linux)

Hi,

I downloaded the latest version from Intel website. Which is iCChecker-4.0-ENU-x86.tar.gz

I could able to bypass display error by setting display option ..but I get a different error now..

Pls find below the error I am getting.

[root@uls iCChecker]# ./iCChecker.cmd

Exception in thread "AWT-EventQueue-0" java.awt.HeadlessException:

No X11 DISPLAY variable was set, but this program performed an operation which requires it.

at java.awt.GraphicsEnvironment.checkHeadless(GraphicsEnvironment.java:159)

at java.awt.Window.(Window.java:431)

at java.awt.Frame.(Frame.java:403)

at java.awt.Frame.(Frame.java:368)

at javax.swing.JFrame.(JFrame.java:158)

at icchecker.MainGui.(MainGui.java:160)

at icchecker.MainGui$10.run(MainGui.java:2950)

at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)

at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:646)

at java.awt.EventQueue.access$000(EventQueue.java:84)

at java.awt.EventQueue$1.run(EventQueue.java:607)

at java.awt.EventQueue$1.run(EventQueue.java:605)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)

at java.awt.EventQueue.dispatchEvent(EventQueue.java:616)

at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)

at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)

at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

[root@uls iCChecker]# export DISPLAY

[root@uls iCChecker]#

[root@uls iCChecker]#

[root@uls iCChecker]#

[root@uls iCChecker]# export DISPLAY

[root@uls iCChecker]# DISPLAY=:0:0

[root@uls iCChecker]# export DISPLAY

[root@uls iCChecker]#

[root@uls iCChecker]#

[root@uls iCChecker]# ./iCChecker.cmd

Exception in thread "main" java.lang.UnsatisfiedLinkError: /root/jdk1.6.0_30/jre/lib/i386/xawt/libmawt.so: libXtst.so.6: cannot open shared object file: No such file or directory

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)

at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1703)

at java.lang.Runtime.load0(Runtime.java:770)

at java.lang.System.load(System.java:1003)

at java.lang.ClassLoader$NativeLibrary.load(Native Method)

at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)

at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1724)

at java.lang.Runtime.loadLibrary0(Runtime.java:823)

at java.lang.System.loadLibrary(System.java:1028)

at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)

at java.security.AccessController.doPrivileged(Native Method)

at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:38)

at sun.awt.DebugHelper.(DebugHelper.java:29)

at java.awt.Component.(Component.java:566)

Could not find the main class: icchecker.MainGui. Program will exit.

It would be great if someone can help me.

~Praveen

6 Beiträge / 0 neu
Letzter Beitrag
Nähere Informationen zur Compiler-Optimierung finden Sie in unserem Optimierungshinweis.

Hello Praveen,

It seems like some X11 libraries are not on your system. May I ask what OS and what version do you install?

Regards,
Loc

Hello,
We do not use X-windows on our OS. we Use Fedora Core 10 as base OS .

Regards,
Ramakrishna

Hi Ramakrishna,

Concurrency Checker 4.0 (Linux version) has been validated with Red Hat and SUSE only.It is not tested with Fedora. Pleaseinstall Concurrency Checker 4.0 on Red Hat if possible.

Thanks,
Loc

Hello,

Our virtualization software runsonly on Fedora core 10.. secondly we do not use x-windows.

Regards,
Ramakrishna

Hello Ramakrishna,

Practically all desktop Linux versions use X Window, including Ubuntu. It is the base for all graphics operations.
To check your X windows version, type
xdpyinfo | head -60
You will also see which extensions does your X Window server support.
The missing library from your top message is needed for XTEST extension.
So you should install a package on Ubuntu which provides library libXtst.so
https://launchpad.net/ubuntu/+source/libxtst

Kommentar hinterlassen

Bitte anmelden, um einen Kommentar hinzuzufügen. Sie sind noch nicht Mitglied? Jetzt teilnehmen